Subject: RE: Use of "strict" parameter [FINAL?]

From: "Tom-PT Taylor" <[email-masked]>
Date: Wed, 11 Apr 2001 00:05:38 -0400

We only had one comment, from Nurit Shenhar.  He and you are the consensus:
"state" is default, and the "init" parameter MUST be reported back when
strict is set to state.
 
 -----Original Message-----
From: Dan Elbert [mailto:[email-masked]]
Sent: Thursday, April 05, 2001 11:38 AM
To: [email-masked]'
Subject: RE: Use of "strict" parameter

Hi
Any conclusion in this issue ? Seems like a candidate for causing
interoperability problems...

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, March 13, 2001 10:37 AM
To: 'Dan Elbert'; [email-masked]'
Subject: RE: Use of "strict" parameter

Hi.  Answers below. 

> -----Original Message----- 
> From: Dan Elbert [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: Friday, March 02, 2001 12:17 PM 
> To: [email-masked]' 
> Subject: Use of "strict" parameter 
> 
> 
> Hi All 
> 
> 1. What is the default behavior of the MG if the "strict" 
> parameter is not 
> set ( for events onhook, offhook of al package) ? 
> I'd suggest "state" since this allows to convey the maximal 
> information back 
> to the MGC. 

[PTT] We should choose whatever reflects the most frequent usage -- defaults
are there to save effort.  For people who don't want to look it up, "state"
means that if a line is already on/off-hook when told to watch for
on/off-hook, the corresponding state transition event will be reported.
Does this seem like the most likely setting?

> 
> 2. What is the correct use of the "exact" value for the 
> "strict" parameter ? 
> If the termination is already in the required state, I 
> understand that 
> this setting will cause the termination not to send the event 
> but to keep 
> waiting for it. Is this correct ? Seems like in this case there is 
> a risk of the MGC getting out of synch with the MG. 

[PTT] 
Your description of behaviour is correct.  There could be circumstances
where the MGC wants to use this one, for instance, to tell the MG to watch
for off-hook as a final step of call cleardown, where the line may still be
off-hook from the previous call.

> 
> 3. If the "init" parameter is not set when reporting a hook 
> event, should 
> this be considered the same as if it was set to "False" ? 
> (this is what makes more sense to me). Or is this a required 
> parameter ? (I 
> don't think that anybody was setting this in the interop...) 

[PTT] 
We need agreement on this, particularly when the "state" setting is used.
Comments, people? 
> Thanks, 
> Dan Elbert